﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.573
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace RastreamentoWebService
{
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;


    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class LeituristaDataSet : DataSet
    {

        private sgm_LeituristaDataTable tablesgm_Leiturista;

        public LeituristaDataSet()
        {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        protected LeituristaDataSet(SerializationInfo info, StreamingContext context)
        {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null))
            {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["sgm_Leiturista"] != null))
                {
                    this.Tables.Add(new sgm_LeituristaDataTable(ds.Tables["sgm_Leiturista"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else
            {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public sgm_LeituristaDataTable sgm_Leiturista
        {
            get
            {
                return this.tablesgm_Leiturista;
            }
        }

        public override DataSet Clone()
        {
            LeituristaDataSet cln = ((LeituristaDataSet)(base.Clone()));
            cln.InitVars();
            return cln;
        }

        protected override bool ShouldSerializeTables()
        {
            return false;
        }

        protected override bool ShouldSerializeRelations()
        {
            return false;
        }

        protected override void ReadXmlSerializable(XmlReader reader)
        {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["sgm_Leiturista"] != null))
            {
                this.Tables.Add(new sgm_LeituristaDataTable(ds.Tables["sgm_Leiturista"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }

        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable()
        {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }

        internal void InitVars()
        {
            this.tablesgm_Leiturista = ((sgm_LeituristaDataTable)(this.Tables["sgm_Leiturista"]));
            if ((this.tablesgm_Leiturista != null))
            {
                this.tablesgm_Leiturista.InitVars();
            }
        }

        private void InitClass()
        {
            this.DataSetName = "LeituristaDataSet";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/LeituristaDataSet.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tablesgm_Leiturista = new sgm_LeituristaDataTable();
            this.Tables.Add(this.tablesgm_Leiturista);
        }

        private bool ShouldSerializesgm_Leiturista()
        {
            return false;
        }

        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove))
            {
                this.InitVars();
            }
        }

        public delegate void sgm_LeituristaRowChangeEventHandler(object sender, sgm_LeituristaRowChangeEvent e);

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_LeituristaDataTable : DataTable, System.Collections.IEnumerable
        {

            private DataColumn columnId_Leiturista;

            private DataColumn columnNome_Leiturista;

            private DataColumn columnId_Regiao;

            private DataColumn columnflag_Ativo;

            private DataColumn columnData_Inicio_Atividade;

            private DataColumn columnData_Fim_Atividade;

            private DataColumn columnflag_Ver_Parametros;

            internal sgm_LeituristaDataTable() :
                    base("sgm_Leiturista")
            {
                this.InitClass();
            }

            internal sgm_LeituristaDataTable(DataTable table) :
                    base(table.TableName)
            {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive))
                {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString()))
                {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace))
                {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }

            [System.ComponentModel.Browsable(false)]
            public int Count
            {
                get
                {
                    return this.Rows.Count;
                }
            }

            internal DataColumn Id_LeituristaColumn
            {
                get
                {
                    return this.columnId_Leiturista;
                }
            }

            internal DataColumn Nome_LeituristaColumn
            {
                get
                {
                    return this.columnNome_Leiturista;
                }
            }

            internal DataColumn Id_RegiaoColumn
            {
                get
                {
                    return this.columnId_Regiao;
                }
            }

            internal DataColumn flag_AtivoColumn
            {
                get
                {
                    return this.columnflag_Ativo;
                }
            }

            internal DataColumn Data_Inicio_AtividadeColumn
            {
                get
                {
                    return this.columnData_Inicio_Atividade;
                }
            }

            internal DataColumn Data_Fim_AtividadeColumn
            {
                get
                {
                    return this.columnData_Fim_Atividade;
                }
            }

            internal DataColumn flag_Ver_ParametrosColumn
            {
                get
                {
                    return this.columnflag_Ver_Parametros;
                }
            }

            public sgm_LeituristaRow this[int index]
            {
                get
                {
                    return ((sgm_LeituristaRow)(this.Rows[index]));
                }
            }

            public event sgm_LeituristaRowChangeEventHandler sgm_LeituristaRowChanged;

            public event sgm_LeituristaRowChangeEventHandler sgm_LeituristaRowChanging;

            public event sgm_LeituristaRowChangeEventHandler sgm_LeituristaRowDeleted;

            public event sgm_LeituristaRowChangeEventHandler sgm_LeituristaRowDeleting;

            public void Addsgm_LeituristaRow(sgm_LeituristaRow row)
            {
                this.Rows.Add(row);
            }

            public sgm_LeituristaRow Addsgm_LeituristaRow(string Nome_Leiturista, int Id_Regiao, bool flag_Ativo, System.DateTime Data_Inicio_Atividade, System.DateTime Data_Fim_Atividade, bool flag_Ver_Parametros)
            {
                sgm_LeituristaRow rowsgm_LeituristaRow = ((sgm_LeituristaRow)(this.NewRow()));
                rowsgm_LeituristaRow.ItemArray = new object[] {
                        null,
                        Nome_Leiturista,
                        Id_Regiao,
                        flag_Ativo,
                        Data_Inicio_Atividade,
                        Data_Fim_Atividade,
                        flag_Ver_Parametros};
                this.Rows.Add(rowsgm_LeituristaRow);
                return rowsgm_LeituristaRow;
            }

            public sgm_LeituristaRow FindById_Leiturista(int Id_Leiturista)
            {
                return ((sgm_LeituristaRow)(this.Rows.Find(new object[] {
                            Id_Leiturista})));
            }

            public System.Collections.IEnumerator GetEnumerator()
            {
                return this.Rows.GetEnumerator();
            }

            public override DataTable Clone()
            {
                sgm_LeituristaDataTable cln = ((sgm_LeituristaDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }

            protected override DataTable CreateInstance()
            {
                return new sgm_LeituristaDataTable();
            }

            internal void InitVars()
            {
                this.columnId_Leiturista = this.Columns["Id_Leiturista"];
                this.columnNome_Leiturista = this.Columns["Nome_Leiturista"];
                this.columnId_Regiao = this.Columns["Id_Regiao"];
                this.columnflag_Ativo = this.Columns["flag_Ativo"];
                this.columnData_Inicio_Atividade = this.Columns["Data_Inicio_Atividade"];
                this.columnData_Fim_Atividade = this.Columns["Data_Fim_Atividade"];
                this.columnflag_Ver_Parametros = this.Columns["flag_Ver_Parametros"];
            }

            private void InitClass()
            {
                this.columnId_Leiturista = new DataColumn("Id_Leiturista", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Leiturista);
                this.columnNome_Leiturista = new DataColumn("Nome_Leiturista", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnNome_Leiturista);
                this.columnId_Regiao = new DataColumn("Id_Regiao", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Regiao);
                this.columnflag_Ativo = new DataColumn("flag_Ativo", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnflag_Ativo);
                this.columnData_Inicio_Atividade = new DataColumn("Data_Inicio_Atividade", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Inicio_Atividade);
                this.columnData_Fim_Atividade = new DataColumn("Data_Fim_Atividade", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Fim_Atividade);
                this.columnflag_Ver_Parametros = new DataColumn("flag_Ver_Parametros", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnflag_Ver_Parametros);
                this.Constraints.Add(new UniqueConstraint("LeituristaDataSetKey1", new DataColumn[] {
                                this.columnId_Leiturista}, true));
                this.columnId_Leiturista.AutoIncrement = true;
                this.columnId_Leiturista.AllowDBNull = false;
                this.columnId_Leiturista.ReadOnly = true;
                this.columnId_Leiturista.Unique = true;
                this.columnNome_Leiturista.AllowDBNull = false;
                this.columnId_Regiao.AllowDBNull = false;
                this.columnflag_Ativo.AllowDBNull = false;
            }

            public sgm_LeituristaRow Newsgm_LeituristaRow()
            {
                return ((sgm_LeituristaRow)(this.NewRow()));
            }

            protected override DataRow NewRowFromBuilder(DataRowBuilder builder)
            {
                return new sgm_LeituristaRow(builder);
            }

            protected override System.Type GetRowType()
            {
                return typeof(sgm_LeituristaRow);
            }

            protected override void OnRowChanged(DataRowChangeEventArgs e)
            {
                base.OnRowChanged(e);
                if ((this.sgm_LeituristaRowChanged != null))
                {
                    this.sgm_LeituristaRowChanged(this, new sgm_LeituristaRowChangeEvent(((sgm_LeituristaRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowChanging(DataRowChangeEventArgs e)
            {
                base.OnRowChanging(e);
                if ((this.sgm_LeituristaRowChanging != null))
                {
                    this.sgm_LeituristaRowChanging(this, new sgm_LeituristaRowChangeEvent(((sgm_LeituristaRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleted(DataRowChangeEventArgs e)
            {
                base.OnRowDeleted(e);
                if ((this.sgm_LeituristaRowDeleted != null))
                {
                    this.sgm_LeituristaRowDeleted(this, new sgm_LeituristaRowChangeEvent(((sgm_LeituristaRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleting(DataRowChangeEventArgs e)
            {
                base.OnRowDeleting(e);
                if ((this.sgm_LeituristaRowDeleting != null))
                {
                    this.sgm_LeituristaRowDeleting(this, new sgm_LeituristaRowChangeEvent(((sgm_LeituristaRow)(e.Row)), e.Action));
                }
            }

            public void Removesgm_LeituristaRow(sgm_LeituristaRow row)
            {
                this.Rows.Remove(row);
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_LeituristaRow : DataRow
        {

            private sgm_LeituristaDataTable tablesgm_Leiturista;

            internal sgm_LeituristaRow(DataRowBuilder rb) :
                    base(rb)
            {
                this.tablesgm_Leiturista = ((sgm_LeituristaDataTable)(this.Table));
            }

            public int Id_Leiturista
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leiturista.Id_LeituristaColumn]));
                }
                set
                {
                    this[this.tablesgm_Leiturista.Id_LeituristaColumn] = value;
                }
            }

            public string Nome_Leiturista
            {
                get
                {
                    return ((string)(this[this.tablesgm_Leiturista.Nome_LeituristaColumn]));
                }
                set
                {
                    this[this.tablesgm_Leiturista.Nome_LeituristaColumn] = value;
                }
            }

            public int Id_Regiao
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leiturista.Id_RegiaoColumn]));
                }
                set
                {
                    this[this.tablesgm_Leiturista.Id_RegiaoColumn] = value;
                }
            }

            public bool flag_Ativo
            {
                get
                {
                    return ((bool)(this[this.tablesgm_Leiturista.flag_AtivoColumn]));
                }
                set
                {
                    this[this.tablesgm_Leiturista.flag_AtivoColumn] = value;
                }
            }

            public System.DateTime Data_Inicio_Atividade
            {
                get
                {
                    try
                    {
                        return ((System.DateTime)(this[this.tablesgm_Leiturista.Data_Inicio_AtividadeColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leiturista.Data_Inicio_AtividadeColumn] = value;
                }
            }

            public System.DateTime Data_Fim_Atividade
            {
                get
                {
                    try
                    {
                        return ((System.DateTime)(this[this.tablesgm_Leiturista.Data_Fim_AtividadeColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leiturista.Data_Fim_AtividadeColumn] = value;
                }
            }

            public bool flag_Ver_Parametros
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Leiturista.flag_Ver_ParametrosColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leiturista.flag_Ver_ParametrosColumn] = value;
                }
            }

            public bool IsData_Inicio_AtividadeNull()
            {
                return this.IsNull(this.tablesgm_Leiturista.Data_Inicio_AtividadeColumn);
            }

            public void SetData_Inicio_AtividadeNull()
            {
                this[this.tablesgm_Leiturista.Data_Inicio_AtividadeColumn] = System.Convert.DBNull;
            }

            public bool IsData_Fim_AtividadeNull()
            {
                return this.IsNull(this.tablesgm_Leiturista.Data_Fim_AtividadeColumn);
            }

            public void SetData_Fim_AtividadeNull()
            {
                this[this.tablesgm_Leiturista.Data_Fim_AtividadeColumn] = System.Convert.DBNull;
            }

            public bool Isflag_Ver_ParametrosNull()
            {
                return this.IsNull(this.tablesgm_Leiturista.flag_Ver_ParametrosColumn);
            }

            public void Setflag_Ver_ParametrosNull()
            {
                this[this.tablesgm_Leiturista.flag_Ver_ParametrosColumn] = System.Convert.DBNull;
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_LeituristaRowChangeEvent : EventArgs
        {

            private sgm_LeituristaRow eventRow;

            private DataRowAction eventAction;

            public sgm_LeituristaRowChangeEvent(sgm_LeituristaRow row, DataRowAction action)
            {
                this.eventRow = row;
                this.eventAction = action;
            }

            public sgm_LeituristaRow Row
            {
                get
                {
                    return this.eventRow;
                }
            }

            public DataRowAction Action
            {
                get
                {
                    return this.eventAction;
                }
            }
        }
    }
}
